リストを検索
curl --request POST \
--url https://api.hubapi.com/crm/lists/2026-03/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"additionalProperties": [
"<string>"
],
"listIds": [
"<string>"
],
"offset": 123,
"processingTypes": [
"<string>"
],
"count": 123,
"objectTypeId": "<string>",
"query": "<string>",
"sort": "<string>"
}
'import requests
url = "https://api.hubapi.com/crm/lists/2026-03/search"
payload = {
"additionalProperties": ["<string>"],
"listIds": ["<string>"],
"offset": 123,
"processingTypes": ["<string>"],
"count": 123,
"objectTypeId": "<string>",
"query": "<string>",
"sort": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
additionalProperties: ['<string>'],
listIds: ['<string>'],
offset: 123,
processingTypes: ['<string>'],
count: 123,
objectTypeId: '<string>',
query: '<string>',
sort: '<string>'
})
};
fetch('https://api.hubapi.com/crm/lists/2026-03/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"hasMore": true,
"lists": [
{
"additionalProperties": {},
"listId": "<string>",
"listVersion": 123,
"name": "<string>",
"objectTypeId": "<string>",
"processingStatus": "<string>",
"processingType": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"createdById": "<string>",
"deletedAt": "2023-11-07T05:31:56Z",
"filtersUpdatedAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"updatedById": "<string>"
}
],
"offset": 123,
"total": 123
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}検索
Search Lists
リスト名でリストを検索するか、空の「クエリ」値を指定して全てのリストを表示します。
POST
/
crm
/
lists
/
2026-03
/
search
リストを検索
Supported products
Supported products
Required Scopes
Required Scopes
承認
The access token received from the authorization server in the OAuth 2.0 flow.
ボディ
application/json
レスポンスに含める追加のリストプロパティーのプロパティー名。特定のリストの存在しないプロパティーまたは空のプロパティーはレスポンスに含まれません。
デフォルトでは、全てのリクエストで各リストのプロパティー(「hs_list_size」、hs_last_record_added_at」、「hs_last_record_removed_at」、「hs_folder_name」、「hs_list_reference_count」)が取得されます。
検索結果に含めるILSリストID。指定しない場合、他の条件に一致する全てのリストが含まれます
リストのページ送りに使用される値。レスポンスで指定された「オフセット」を次のリクエストで使用して、結果の次のページを取得することができます。オフセットが指定されていない場合、デフォルトの「0」になります。
検索結果に含めるリスト処理タイプ。指定しない場合、全ての処理タイプの全てのリストが含まれます。
レスポンスに含めるリストの数。値が指定されていない場合、デフォルトの「20」になります。「最大数」は「500」です。
リスト名でリストを検索するために使用される「クエリ」。「クエリ」が指定されていない場合、全てのリストが結果に含まれます。
順序フィールドと順序
最終更新日 2026年4月10日
⌘I